org.apache.catalina.core

## Class ApplicationJspPropertyGroupDescriptor

- java.lang.Object
- - org.apache.catalina.core.ApplicationJspPropertyGroupDescriptor

All Implemented Interfaces:
  JspPropertyGroupDescriptor

    public class ApplicationJspPropertyGroupDescriptor
    extends Object
    implements JspPropertyGroupDescriptor

### Constructor Summary

Constructors
Constructor and Description
`ApplicationJspPropertyGroupDescriptor(JspPropertyGroup jspPropertyGroup)`

### Method Summary

Methods
`String` `getBuffer()`
`String` `getDefaultContentType()`
`String` `getDeferredSyntaxAllowedAsLiteral()`
`String` `getElIgnored()`
`String` `getErrorOnUndeclaredNamespace()`
`Collection<String>` `getIncludeCodas()`
`Collection<String>` `getIncludePreludes()`
`String` `getIsXml()`
`String` `getPageEncoding()`
`String` `getScriptingInvalid()`
`String` `getTrimDirectiveWhitespaces()`
`Collection<String>` `getUrlPatterns()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplicationJspPropertyGroupDescriptor

    public ApplicationJspPropertyGroupDescriptor(JspPropertyGroup jspPropertyGroup)

### Method Detail

#### getBuffer

    public String getBuffer()

Specified by:
  `getBuffer` in interface `JspPropertyGroupDescriptor`

#### getDefaultContentType

    public String getDefaultContentType()

Specified by:
  `getDefaultContentType` in interface `JspPropertyGroupDescriptor`

#### getDeferredSyntaxAllowedAsLiteral

    public String getDeferredSyntaxAllowedAsLiteral()

Specified by:
  `getDeferredSyntaxAllowedAsLiteral` in interface `JspPropertyGroupDescriptor`

#### getElIgnored

    public String getElIgnored()

Specified by:
  `getElIgnored` in interface `JspPropertyGroupDescriptor`

#### getErrorOnUndeclaredNamespace

    public String getErrorOnUndeclaredNamespace()

Specified by:
  `getErrorOnUndeclaredNamespace` in interface `JspPropertyGroupDescriptor`

#### getIncludeCodas

    public Collection<String> getIncludeCodas()

Specified by:
  `getIncludeCodas` in interface `JspPropertyGroupDescriptor`

#### getIncludePreludes

    public Collection<String> getIncludePreludes()

Specified by:
  `getIncludePreludes` in interface `JspPropertyGroupDescriptor`

#### getIsXml

    public String getIsXml()

Specified by:
  `getIsXml` in interface `JspPropertyGroupDescriptor`

#### getPageEncoding

    public String getPageEncoding()

Specified by:
  `getPageEncoding` in interface `JspPropertyGroupDescriptor`

#### getScriptingInvalid

    public String getScriptingInvalid()

Specified by:
  `getScriptingInvalid` in interface `JspPropertyGroupDescriptor`

#### getTrimDirectiveWhitespaces

    public String getTrimDirectiveWhitespaces()

Specified by:
  `getTrimDirectiveWhitespaces` in interface `JspPropertyGroupDescriptor`

#### getUrlPatterns

    public Collection<String> getUrlPatterns()

Specified by:
  `getUrlPatterns` in interface `JspPropertyGroupDescriptor`